Jump to content

Latitude D520 help


Guest AbbaCadaver
 Share

Recommended Posts

Guest AbbaCadaver

I've seen support mentioned for D520 on this site. But I'm wondering if anyone is running 10.6.3+ successfully on their D520.

So far I've installed iFail 10.6.3 V2, updated to 10.6.4 + SnowLeopardGraphicsUpdate1.0

The only things still not working for me are tapping on the trackpad and the GMA945 integrated video.

The video works, but it doesn't support any kind of acceleration. QE/CI, etc.

Thanks

 

Bios A05

8086:27a2 Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller

Link to comment
Share on other sites

Guest AbbaCadaver

Ok thanks. I was a bit hesitant about that, but I went ahead and installed it anyway.

I used edp v1.4.

After install, rebuild and reboot, it went through a few hiccups where the mouse would jump around the screen randomly. I'm not sure what it was. Thinking it was an issue of kexts not loading properly due to permissions, I navigated with the keyboard to the utilities folder and ran kext utility. After that was done with I rebooted and that specific problem went away.

It seems to be working so far. Quartz Extreme should be working as I can see the top UI nav bar being transparent. I'm not sure about anything else, including CI/OpenGL. System profiler's graphics section doesn't say much about that.

The touchpad still isn't registering clicks. Would like to get that fixed as well.

Btw the model I chose for rebuilding with edp1.4 was d620. The model seems nearly identical, wide screen aside.

Link to comment
Share on other sites

Guest AbbaCadaver

You might wanna try the EDP 1.5rc5, it have proper support for the D520.. D530 support comming soon...

I tried edp 1.5rc5 in conjunction with chameleon 2.0 rc5 r665 and now My laptop doesn't boot at all. Not even in safe mode. I get kernel panics every single time.

What should I try out next to get it to boot?

Thanks

Link to comment
Share on other sites

What osx version?

 

Currently running 10.6.4 with chameleon 2.0 rc5 r665 + edp 1.5rc5. The edp installer had an option for d520. I chose that of course. Before this failed install it was working fine with AsereBLN bootloader & EDP 1.4

 

Was this upgrade only meant for 10.6.6 installs?

 

At the moment I can't do much since I'm away from home, nor have access to an install DVD of iFail.

I did rename the /Extra folder to /Extra_bak prior to installing Chameleon 2.0/EDP 1.5, maybe this would help?

 

Thanks

Link to comment
Share on other sites

 Share

×
×
  • Create New...